Name:           perl-Validation-Class
Version:        7.900057
Release:        11%{?dist}
Summary:        Powerful Data Validation Framework
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Validation-Class
Source0:        https://cpan.metacpan.org/authors/id/A/AW/AWNCORP/Validation-Class-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter >= 4:5.10.0
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Module
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Clone)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Hash::Flatten)
BuildRequires:  perl(Hash::Merge)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Find)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More)
# Optional Tests
BuildRequires:  perl(Class::Method::Modifiers)
# Dependencies
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Validation::Class is a scalable data validation library with interfaces for
applications of all sizes. The most common usage of Validation::Class is to
transform class namespaces into data validation domains where consistency
and reuse are primary concerns. Validation::Class provides an extensible
framework for defining reusable data validation rules. It ships with a
complete set of pre-defined validations and filters referred to as
"directives".

%prep
%setup -q -n Validation-Class-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Validation/
%{_mandir}/man3/Validation::Class.3*
%{_mandir}/man3/Validation::Class::Cookbook.3*
%{_mandir}/man3/Validation::Class::Directive.3*
%{_mandir}/man3/Validation::Class::Directive::*.3*
%{_mandir}/man3/Validation::Class::Directives.3*
%{_mandir}/man3/Validation::Class::Exporter.3*
%{_mandir}/man3/Validation::Class::Listing.3*
%{_mandir}/man3/Validation::Class::Mapping.3*
%{_mandir}/man3/Validation::Class::Prototype.3*
%{_mandir}/man3/Validation::Class::Simple.3*
%{_mandir}/man3/Validation::Class::Simple::Streamer.3*
%{_mandir}/man3/Validation::Class::Whitepaper.3*

%changelog
* Fri Oct 25 2019 Paul Howarth <paul@city-fan.org> - 7.900057-11
- Tweak for EPEL-8 build
  - Use %%{make_build} and %%{make_install}
  - Fix permissions verbosely
  - Make %%files list more explicit

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.900057-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 7.900057-9
- Perl 5.30 rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.900057-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.900057-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 7.900057-6
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.900057-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.900057-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 7.900057-3
- Perl 5.26 rebuild

* Fri Feb 10 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 7.900057-2
- Reflect feedback from review.

* Thu Feb 09 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 7.900057-1
- Initial Fedora package.
